library(evolqg)

#datos
Gmatrix_phen <- read.table("./Gmatrix_phen.txt", sep="")
Gmatrix_fit <- read.table("./Gmatrix_fit.txt", sep="")
Pmatrix_phen <- read.table("./Pmatrix_phen.txt", sep="")
Pmatrix_fit <- read.table("./Pmatrix_fit.txt", sep="")

# comparacin de matrices ####
Pmatrix_phen <- as.matrix(Pmatrix_phen)
Pmatrix_fit <- as.matrix(Pmatrix_fit)
Gmatrix_phen <- as.matrix(Gmatrix_phen)
Gmatrix_fit <- as.matrix(Gmatrix_fit)

# Random Skewers 
# Morfologa
RandomSkewers(Pmatrix_phen, Gmatrix_phen) #0.48
# Aptitud biolgica
RandomSkewers(Pmatrix_fit, Gmatrix_fit) #0.34

# Similutd PCA
# Morfologa
PCAsimilarity(Pmatrix_phen, Gmatrix_phen) #0.83 
# Aptitud biolgica
PCAsimilarity(Pmatrix_fit, Gmatrix_fit) #0.45

